Smart Agent Teams
EndpointsApprovals

Get Approval

Get one approval with its payload and decision. Answers 404 `NOT_FOUND` when the approval does not belong to this company.

GET
/api/companies/{company_id}/approvals/{approval_id}

Get one approval with its payload and decision.

Answers 404 NOT_FOUND when the approval does not belong to this company.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

approval_id*Approval Id
Formatuuid
company_id*Company Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
agent_id*|null
created_at*|null
decided_at*|null
decided_by_user_id*|null
decision_note*string|null
details*string|null
id*Id
Formatuuid
payload*|null
requested_by_agent_id*|null
requested_by_user_id*|null
status*Status
title*Title
type*Type
curl -X GET "https://example.com/api/companies/497f6eca-6276-4993-bfeb-53cbbbba6f08/approvals/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",  "created_at": "2019-08-24T14:15:22Z",  "decided_at": "2019-08-24T14:15:22Z",  "decided_by_user_id": "c750fc7f-0b29-4c93-a0d7-9578b1a62969",  "decision_note": "string",  "details": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "payload": {},  "requested_by_agent_id": "b67c51e7-d4ef-47e5-a275-a7aa6ad2a573",  "requested_by_user_id": "ed1d5170-d6e9-4e60-8754-78ea9640e9db",  "status": "string",  "title": "string",  "type": "string"}